Package org.osgi.resource.dto

# Class RequirementRefDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.resource.dto.RequirementRefDTO

public class RequirementRefDTO extends DTO
Data Transfer Object for a reference to a Requirement.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`requirement`
The identifier of the requirement in the resource.
`int`
`resource`
The identifier of the resource declaring the requirement.

## Constructor Summary

Constructors
Constructor
Description
`RequirementRefDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### requirement

public int requirement
The identifier of the requirement in the resource.

See Also:
  - `RequirementDTO.id`

### resource

public int resource
The identifier of the resource declaring the requirement.

See Also:
  - `ResourceDTO.id`

## Constructor Details

### RequirementRefDTO

public RequirementRefDTO()